Subject: Re: Zstyle command completion does not work for some executables
From: Silvio Ricardo Cordeiro <[email-masked]>
To: Daniel Shahaf <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Jan 2016 10:35:43 -0200
List-Id: Zsh Workers List <zsh-workers.zsh.org>

For killall & rake, I get "testing" as a suggestion, as I expected.  For
the others, nothing happens (they continue trying to complete with
filenames, the default behavior).

Do I have to somehow specify that "this command must obey the command
style" for my custom commands?

Thanks,

2016-01-29 7:19 GMT-02:00 Daniel Shahaf <[email-masked]>:

> Silvio Ricardo Cordeiro wrote on Thu, Jan 28, 2016 at 12:52:44 -0200:
> > On an otherwise empty .zshrc:
> >
> > Some completion specifications work normally:
> >
> > > zstyle ':completion:*:*killall*:*' command 'echo testing'
> > > zstyle ':completion:*:*rake*:*' command 'echo testing'
>
> What is happening?  What do you want to happen?
>
> The 'command' style isn't used by all completion functions.
>
> Cheers,
>
> Daniel
>
> > While other completion just do *not* work:
> >
> > > zstyle ':completion:*:*bash*:*' command 'echo testing'
> > > zstyle ':completion:*:*some_file_in_PATH*:*' command 'echo testing'
> >
> > zstyle ':completion:*:*inexistent_executable*:*' command 'echo testing'
> > >
> >
> > Is there any way to debug this kind of behavior?  I have tried pressing
> > "^X?", but the output is the same for "killall" and for "bash"...
> >
> > --
> > Silvio Ricardo Cordeiro
>

-- 
Silvio Ricardo Cordeiro